%define anolis_release 2

%global fontname lohit-odia
%global fontconf0 65-0-%{fontname}.conf
%global fontconf1 30-%{fontname}.conf
%global metainfo io.pagure.lohit.odia.font.metainfo

Summary:        Free truetype font for Odia language
Name:           %{fontname}-fonts
Version:        2.91.2
Release:        %{anolis_release}%{?dist}

License:        OFL
URL:            https://pagure.io/lohit
Source0:        https://releases.pagure.org/lohit/%{fontname}-%{version}.tar.gz
Source1:        %{name}.conf
BuildArch:      noarch

BuildRequires:  fontforge >= 20080429 make
BuildRequires:  fontpackages-devel
BuildRequires:  python3-devel

Requires:       fontpackages-filesystem
Provides:       lohit-oriya-fonts = %{version}-%{release}


%description
%{name} is a set of fonts designed to support the Odia language,
also known as Oriya. These fonts were developed by the Indian
government's Ministry of Electronics and Information Technology and
are available for free download. Lohit Odia Fonts are Unicode-compliant
and can be used with any application that supports Unicode, including
various word processors and text editors. The fonts come in several styles,
including regular, bold, italic, and bold-italic, making them suitable
for a variety of applications. The design of the fonts is based on
traditional Odia calligraphy, and they are optimized for use on screens
and in print. The Lohit Odia Fonts have been widely adopted in India,
especially in the state of Odisha, where Odia is the official language.

%prep
%autosetup -n %{fontname}-%{version}

# To make it default font for 'or' language.
mv 66-%{fontname}.conf 65-0-lohit-odia.conf

%build
%make_build ttf

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontconf0} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf0}
ln -s %{_fontconfig_templatedir}/%{fontconf0} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf0}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf1}
ln -s %{_fontconfig_templatedir}/%{fontconf1} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf1}


install -Dm 0644 -p %{metainfo}.xml \
       %{buildroot}%{_datadir}/metainfo/%{metainfo}.xml

%_font_pkg -f *.conf *.ttf

%doc ChangeLog COPYRIGHT OFL.txt AUTHORS README
%{_datadir}/metainfo/%{metainfo}.xml

%changelog
* Thu Apr 13 2023 Kun(llfl) <llfl@linux.alibaba.com> - 2.91.2-2
- optimize spec file

* Fri Apr 15 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.91.2-1
- Init package from upstream v2.91.2
